<div class="ui centered grid" >
    <div class="ui four wide column">
        <form class="ui form" [formGroup]=loginForm (ngSubmit)="onLoginFormSubmit()">
            <div class="field">
                <label>Username:</label>
                <div class="ui left icon input">
                    <input type="text" formControlName="username" placeholder="Enter username">
                    <i class="user icon"></i>
                </div>
            </div>
        
            <div class="field">
                <label>Password:</label>
                <div class="ui left icon input">
                    <input type="password" formControlName="password" placeholder="Enter password">
                    <i class="lock icon"></i>
                </div>
            </div>

            <div class="ui negative message" *ngIf="formHasErrors">
                <div class="header">Wrong username or password!</div>
                <p>To login you must enter correct username and password.</p>
            </div>
        
            <button class="ui fluid button" type="submit">Login</button>
        </form>
        
        <div class="ui segment">
            <div class="ui center aligned container">
                <p>New to us?</p>
                <a routerLink='/register'>Register</a>
            </div>
        </div>        
    </div>
</div>

